Subject: old books

From: [email-masked] (W. Joseph Cooklin)
Date: Thu, 29 Sep 1994 02:20:36 GMT

Any of you that are interested in "primitive" camping, building cabins,
making your own skis and snowshoes, etc. may want to pick up a copy of Fur
Fish Game magazine when you're in the supermarket. They have a page
listing "Harding's Historical Books", these are reprints of books from the
early part of this century on hunting, camping, trapping etc. I have
several of them and get a lot of info out of them. It's also amusing to
read that style of writing.

The magazine is also informative, has advertising, but no where near what
you see in other outdoor magazines, well worth the 2.50 cover price.

Joe
--
Joseph Cooklin